require 'guard'
require 'guard/guard'

module Guard
  class FonesFunctions < ::Guard::Guard
    def initialize(watchers=[], options={})
      super
    end

    def start
      UI.info "Copying functions over"
      ::Fones::Guard.builder.copy_functions
      ::Fones::Guard.builder.copy_includes
    end

    def run_all
      UI.info "Rebuilding all functions"
      ::Fones::Guard.builder.clean_functions
      ::Fones::Guard.builder.copy_functions
      ::Fones::Guard.builder.clean_includes
      ::Fones::Guard.builder.copy_includes
    end

    # Called on file(s) modifications
    def run_on_change(paths)
      UI.info "Functions have changed, copying over"
      ::Fones::Guard.builder.clean_functions
      ::Fones::Guard.builder.copy_functions
      ::Fones::Guard.builder.clean_includes
      ::Fones::Guard.builder.copy_includes
    end
  end
end
